# -*- coding: utf-8 -*-
from __future__ import print_function
import datetime as dt
import logging

from . import Property
from . import FHIRBase, Element, Extension, Reference




__author__ = "Melle Sieswerda"
__copyright__  = "Copyright 2017, Melle Sieswerda"
__license__ = "GPL"
__version__ = "0.8"

__all__ = ['BackboneElement']


# ------------------------------------------------------------------------------
# BackboneElement
# ------------------------------------------------------------------------------
class BackboneElement(Element):
    """
    Base definition for all elements that are defined inside a resource -
    but not those in a data type.
    
    Autogenerated class.
    """
    _url = 'http://hl7.org/fhir/StructureDefinition/BackboneElement'
    
    modifierExtension = Property('modifierExtension', Extension, '0', '*')
