# -*- coding: utf-8 -*-
from __future__ import print_function
import datetime as dt
import logging

from . import Property
from . import FHIRBase, Element, Extension, Reference


from ._string import string

from .coding import Coding

__author__ = "Melle Sieswerda"
__copyright__  = "Copyright 2017, Melle Sieswerda"
__license__ = "GPL"
__version__ = "0.8"

__all__ = ['CodeableConcept']


# ------------------------------------------------------------------------------
# CodeableConcept
# ------------------------------------------------------------------------------
class CodeableConcept(Element):
    """
    A concept that may be defined by a formal reference to a terminology
    or ontology or may be provided by text.
    
    Autogenerated class.
    """
    _url = 'http://hl7.org/fhir/StructureDefinition/CodeableConcept'
    
    coding = Property('coding', Coding, '0', '*')
    text = Property('text', string, '0', '1')
