# -*- coding: utf-8 -*-
from __future__ import print_function
import datetime as dt
import logging

from . import Property
from . import FHIRBase, Element, Extension, Reference


from ._code import code
from ._xhtml import xhtml


__author__ = "Melle Sieswerda"
__copyright__  = "Copyright 2017, Melle Sieswerda"
__license__ = "GPL"
__version__ = "0.8"

__all__ = ['Narrative']


# ------------------------------------------------------------------------------
# Narrative
# ------------------------------------------------------------------------------
class Narrative(Element):
    """
    A human-readable summary of the resource conveying the essential
    clinical and business information for the resource.
    
    Autogenerated class.
    """
    _url = 'http://hl7.org/fhir/StructureDefinition/Narrative'
    
    status = Property('status', code, '1', '1')
    div = Property('div', xhtml, '1', '1', 'text')
