# -*- coding: utf-8 -*-
from __future__ import print_function
import datetime as dt
import logging

from . import Property
from . import FHIRBase, Element, Extension, Reference



from .quantity import Quantity

__author__ = "Melle Sieswerda"
__copyright__  = "Copyright 2017, Melle Sieswerda"
__license__ = "GPL"
__version__ = "0.8"

__all__ = ['Ratio']


# ------------------------------------------------------------------------------
# Ratio
# ------------------------------------------------------------------------------
class Ratio(Element):
    """
    A relationship of two Quantity values - expressed as a numerator and a
    denominator.
    
    Autogenerated class.
    """
    _url = 'http://hl7.org/fhir/StructureDefinition/Ratio'
    
    numerator = Property('numerator', Quantity, '0', '1')
    denominator = Property('denominator', Quantity, '0', '1')
