# -*- coding: utf-8 -*-
from __future__ import print_function
import datetime as dt
import logging

from . import Property
from . import FHIRBase, Element, Extension, Reference


from ._string import string

from .contactpoint import ContactPoint

__author__ = "Melle Sieswerda"
__copyright__  = "Copyright 2017, Melle Sieswerda"
__license__ = "GPL"
__version__ = "0.8"

__all__ = ['ContactDetail']


# ------------------------------------------------------------------------------
# ContactDetail
# ------------------------------------------------------------------------------
class ContactDetail(Element):
    """
    Specifies contact information for a person or organization.
    
    Autogenerated class.
    """
    _url = 'http://hl7.org/fhir/StructureDefinition/ContactDetail'
    
    name = Property('name', string, '0', '1')
    telecom = Property('telecom', ContactPoint, '0', '*')
