# -*- coding: utf-8 -*-
from __future__ import print_function
import datetime as dt
import logging

from . import Property
from . import FHIRBase, Element, Extension, Reference


from ._code import code
from ._positiveint import positiveInt
from ._string import string

from .period import Period

__author__ = "Melle Sieswerda"
__copyright__  = "Copyright 2017, Melle Sieswerda"
__license__ = "GPL"
__version__ = "0.8"

__all__ = ['ContactPoint']


# ------------------------------------------------------------------------------
# ContactPoint
# ------------------------------------------------------------------------------
class ContactPoint(Element):
    """
    Details for all kinds of technology mediated contact points for a
    person or organization, including telephone, email, etc.
    
    Autogenerated class.
    """
    _url = 'http://hl7.org/fhir/StructureDefinition/ContactPoint'
    
    system = Property('system', code, '0', '1')
    value = Property('value', string, '0', '1')
    use = Property('use', code, '0', '1')
    rank = Property('rank', positiveInt, '0', '1')
    period = Property('period', Period, '0', '1')
