# -*- coding: utf-8 -*-
from __future__ import print_function
import datetime as dt
import logging

from . import Property
from . import FHIRBase, Element, Extension, Reference

from .backboneelement import BackboneElement
from .domainresource import DomainResource

from ._code import code
from ._string import string

from .backboneelement import BackboneElement
from .codeableconcept import CodeableConcept

__author__ = "Melle Sieswerda"
__copyright__  = "Copyright 2017, Melle Sieswerda"
__license__ = "GPL"
__version__ = "0.8"

__all__ = ['OperationOutcome']

class Issue(BackboneElement):
    """Autogenerated class for implicit type."""
    severity = Property('severity', 'code', '1', '1')
    code = Property('code', 'code', '1', '1')
    details = Property('details', 'CodeableConcept', '0', '1')
    diagnostics = Property('diagnostics', 'string', '0', '1')
    location = Property('location', 'string', '0', '*')
    expression = Property('expression', 'string', '0', '*')


# ------------------------------------------------------------------------------
# OperationOutcome
# ------------------------------------------------------------------------------
class OperationOutcome(DomainResource):
    """
    A collection of error, warning, or information messages that result
    from a system action.
    
    Autogenerated class.
    """
    _url = 'http://hl7.org/fhir/StructureDefinition/OperationOutcome'
    
    issue = Property('issue', Issue, '1', '*')
